petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSpaceSetNumComponents

Set the number of components for this space

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceSetNumComponents(PetscSpace sp, PetscInt Nc)

### Input Parameters

| sp | - The PetscSpace
| order | - The number of components

### See Also

PetscSpaceGetNumComponents(), PetscSpaceSetNumVariables(), PetscSpaceCreate(), PetscSpace

### Level

intermediate

### Location

src/dm/dt/space/interface/space.c
Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages